<?php
/**
 * @package     
 * @subpackage  
 *
 * @copyright   Copyright (C) 2015 sazearte, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
 
// no direct access
defined('_JEXEC') or die;

/**
 * UsersSync plugin
 *
 * @package     
 * @subpackage  
 * @since       
 */
class PlgUserUserssync extends JPlugin
{
	/**
	* Load the language file on instantiation. Note this is only available in Joomla 3.1 and higher.
	* If you want to support 3.0 series you must override the constructor
	*
	* @var    boolean
	* @since  3.1
	*/
	protected $autoloadLanguage = true;

	/**
	* Method is called before user data is stored in the database
	*
	* @param	array	$oldUser	Holds the old user data.
	* @param	boolean	$isnew		True if a new user is stored.
	* @param	array	$newUser	Holds the new user data.
	*
	* @return   boolean
	*/
	public function onUserBeforeSave($oldUser, $isnew, $newUser)
	{
		// Message d'erreur pour tester le plugin
		$app = JFactory::getApplication();
		$app->enqueueMessage('----------');
		$text = $isnew ? 'CREATE' : 'UPDATE';
		$app->enqueueMessage('Action = ' . $text);
		$app->enqueueMessage('Name = ' . $oldUser['name'] . ' | New = ' . $newUser['name']);
		$app->enqueueMessage('Username = ' . $oldUser['username'] . ' | New = ' . $newUser['username']);
		$app->enqueueMessage('Email = ' . $oldUser['email'] . ' | New = ' . $newUser['email']);
		$app->enqueueMessage('Password = ' . $oldUser['password'] . ' | New = ' . $newUser['password']);
		$app->enqueueMessage('Password_clear = ' . $oldUser['password_clear'] . ' | New = ' . $newUser['password_clear']);
		$app->enqueueMessage('----------');

		if (!$isnew && $newUser['password_clear'] !== "")
		{
			// code à exécuter quand une modification de mot de passe va être enregistrée
			$app->enqueueMessage('Une modification de mot de passe va être enregistrée');
			$app->enqueueMessage('----------');
		}

		return true;    
	}
	
	/**
	 * Method is called after user data is deleted from the database
	 *
	 * @param	array	$user		Holds the user data
	 * @param	boolean	$success	True if user was successfully stored in the database
	 * @param	string	$msg		Message
	 *
	 * @return  boolean
	 */
	public function onUserAfterDelete($user, $success, $msg)
	{
		$app = JFactory::getApplication();
		$app->enqueueMessage('----------');
		$text = $success ? 'SUCCESS' : 'FAILURE';
		$app->enqueueMessage('Result = ' . $text);
		$app->enqueueMessage('UserId = ' . $user['id']);
		$app->enqueueMessage('Name = ' . $user['name']);
		$app->enqueueMessage('Username = ' . $user['username']);
		$app->enqueueMessage('Email = ' . $user['email']);
		$app->enqueueMessage('Password = ' . $user['password']);
		$app->enqueueMessage('Message = ' . $msg);
		$app->enqueueMessage('----------');
		
		return true;
	}

}
